Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

The VMWare software installed on my Fedora 15 machine suddenly doesn't work, which, I think, may be bacause of a kernel update via yum.

So I tried to boot from 2 previous kernel versions in the choosing-kernel-version screen before booting, but they just halted on the start-up screen with a message of "started something" (or maybe it just would take too long for me to tolerate).

I also tried to install VirtualBox, but only found that it needs kernel-uname-r = 2.6.38.8-35.fc15.i686 instead of my installed kernel-2.6.40.4-5.fc15.i686.

Why would the 2 previous kernel versions fail to boot? Is there any way to roll back my kernel update, or any other ways just to get VMWare back to work?

share|improve this question

2 Answers 2

Usually if you upgrade your kernel, fedora needs to build a new initrd kernel image to support your uptodate host kernel with the virtualization software. The kernel of your Linux host was updated and DKMS is not installed. In that case, the kernel module will need to be reinstalled by executing (as root): /etc/init.d/vboxdrv setup

share|improve this answer
    
Yes, I know it. However, since this step failed I guess the VMWare not able to support this kernel yet. –  lastland Dec 14 '11 at 9:32

VMware tends to stop working rather frequently on kernel updates. However, several people provide patches that get it working with newer kernels.

I've been using the patches from Arch Linux's wiki with the 3.1 kernel on Fedora 16 and it works great. They also have a patch for the 3.0 kernel (called kernel 2.6.40 in F15 for compatibility with older programs that don't understand the 3.x numbering yet).

To install it, just run:

$ cd /tmp
$ wget http://weltall.heliohost.org/wordpress/wpcontent/uploads/2011/08/fullvmwarelinux310patch.tar.gz
$ tar -xvzf fullvmwarelinux310patch.tar.gz
# ./patch-modules_2.6.39.sh

Note that the last command should be run as root.

By now, though, you've probably updated to the 3.1 kernel (2.6.41 in F15), in which case you'll need to use an updated patch:

$ cd /tmp
$ wget http://weltall.heliohost.org/wordpress/wpcontent/uploads/2011/09/vmware8linux31fix.tar.gz
$ tar -xvzf vmware8linux31fix.tar.gz
# ./patch-modules_3.1.0.sh
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.